> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign steps analytics

> Get campaign steps analytics



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json get /api/v2/campaigns/analytics/steps
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/campaigns/analytics/steps:
    get:
      tags:
        - Campaign
        - Analytics
      summary: Get campaign steps analytics
      description: Get campaign steps analytics
      operationId: getCampaignStepsAnalytics
      parameters:
        - schema:
            type: string
            format: uuid
            example: 019e18e2-a528-728b-b79b-7cfbaec70adf
          in: query
          name: campaign_id
          required: false
          description: >-
            Campaign ID (optional). Leave this field empty to get the analytics
            for all campaigns
        - schema:
            type: string
            example: '2024-01-01'
          in: query
          name: start_date
          required: false
          description: Start date
        - schema:
            type: string
            example: '2024-01-01'
          in: query
          name: end_date
          required: false
          description: End date
        - schema:
            type: boolean
            default: false
            example: true
          in: query
          name: include_opportunities_count
          required: false
          description: >-
            Whether to include the opportunities count per step. If this field
            is true then `opportunities` and `unique_opportunities` fields will
            be included in the response
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    step:
                      type:
                        - 'null'
                        - string
                      description: >-
                        The step number. When null it means we couldn't
                        determine the step number for the event, for instance
                        for list leads, which are not part of a campaign.
                      example: '1'
                    variant:
                      type:
                        - 'null'
                        - string
                      description: >-
                        The variant number, starting from 0. 0 = A, 1 = B, 2 =
                        C, etc. When null it means we couldn't determine the
                        variant for the event.
                      example: '0'
                    sent:
                      type: integer
                      description: The total number of sent emails
                      example: 5421
                    opened:
                      type: integer
                      description: The total number of opened emails
                      example: 99
                    unique_opened:
                      type: integer
                      description: The total number of opened emails
                      example: 60
                    replies:
                      type: integer
                      description: The total number of replies
                      example: 60
                    unique_replies:
                      type: integer
                      description: The total number of replies
                      example: 60
                    replies_automatic:
                      type: integer
                      description: The total number of automatic replies detected
                      example: 5
                    unique_replies_automatic:
                      type: integer
                      description: The total number of unique automatic replies detected
                      example: 4
                    clicks:
                      type: integer
                      description: The total number of links clicked
                      example: 60
                    unique_clicks:
                      type: integer
                      description: >-
                        The total number of unique links clicked. Unique meaning
                        from unique leads, not unique links. For instance, if a
                        lead clicked a link 3 times, it will be counted as 1
                        unique click. If a lead clicked 3 different links, it
                        will still be counted as 1 unique click
                      example: 60
                    opportunities:
                      type: integer
                      description: >-
                        The total number of opportunities created from this
                        step. Included only if `include_opportunities_count` is
                        `true`
                      example: 10
                    unique_opportunities:
                      type: integer
                      description: >-
                        The total number of unique opportunities created from
                        this step. Unique meaning unique per lead. If a lead has
                        multiple opportunities, it will be counted as 1 unique
                        opportunity. Included only if
                        `include_opportunities_count` is `true`
                      example: 8
                  required:
                    - step
                    - variant
                    - sent
                    - opened
                    - unique_opened
                    - replies
                    - unique_replies
                    - replies_automatic
                    - unique_replies_automatic
                    - clicks
                    - unique_clicks
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: The error message
                    example: Start Date must be earlier than End Date
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````